Package com.ocient.jdbc.proto

# Class ClientWireProtocol.CompletedQueriesRow.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.CompletedQueriesRow.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.CompletedQueriesRowOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.CompletedQueriesRow

public static final class ClientWireProtocol.CompletedQueriesRow.Builder extends GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder> implements ClientWireProtocol.CompletedQueriesRowOrBuilder

     Matches row output from the completed queries vTable

Protobuf type `xg.cmdcomp.CompletedQueriesRow`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.CompletedQueriesRow`
`build()`
Constructs the message based on the state of the Builder.
`ClientWireProtocol.CompletedQueriesRow`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearBytesReturned()`
the number of bytes returned by the query
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearClientIp()`
the IP of the client
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearClientVersion()`
the version of the connector used to submit the query
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearCode()`
the SQL state code
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearCostEstimate()`
the plan cost estimate
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearDatabaseId()`
the string representation of the database uuid the user was connected to
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearFinalEffectivePriority()`
the final effective dynamically adjusted priority
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearHeuristicCost()`
the plan heuristic cost
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearInitialEffectivePriority()`
initial effective priority adjusted for query cost and mem usage
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearInitialPriority()`
initial plan priority based on wlm limits
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearPlanParallelism()`
the plan parallelism
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearPriorityAdjustFactor()`
priority adjustment factor
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearPriorityAdjustTime()`
priority adjustment time
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearReason()`
the reason
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearRowsReturned()`
the number of rows returned by the query
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearRuntime()`
the number of seconds take to complete the query
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearSql()`
the sql text
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearState()`
the string representation of the SQL state
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearTempDiskSpaceConsumed()`
the total amount of temp disk space consumed in bytes
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearTimeComplete()`
the string representation of the time the query completed execution
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearTimeExecStart()`
the string representation of the time the query began execution
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearTimestampComplete()`
ms since epoch representation of the time the query completed execution
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearTimestampExecStart()`
ms since epoch representation of the time the query began execution
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearTimestampStart()`
ms since epoch representation of the time the query was accepted by the sql node
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearTimeStart()`
the string representation of the time the query was accepted by the sql node
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearUser()`
the string representation of the user's uuid
`ClientWireProtocol.CompletedQueriesRow.Builder`
`clearUuid()`
the query plan uuid
`long`
`getBytesReturned()`
the number of bytes returned by the query
`String`
`getClientIp()`
the IP of the client
`ByteString`
`getClientIpBytes()`
the IP of the client
`String`
`getClientVersion()`
the version of the connector used to submit the query
`ByteString`
`getClientVersionBytes()`
the version of the connector used to submit the query
`int`
`getCode()`
the SQL state code
`double`
`getCostEstimate()`
the plan cost estimate
`StringValue`
`getDatabaseId()`
the string representation of the database uuid the user was connected to
`StringValue.Builder`
`getDatabaseIdBuilder()`
the string representation of the database uuid the user was connected to
`StringValueOrBuilder`
`getDatabaseIdOrBuilder()`
the string representation of the database uuid the user was connected to
`ClientWireProtocol.CompletedQueriesRow`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`double`
`getFinalEffectivePriority()`
the final effective dynamically adjusted priority
`double`
`getHeuristicCost()`
the plan heuristic cost
`float`
`getInitialEffectivePriority()`
initial effective priority adjusted for query cost and mem usage
`float`
`getInitialPriority()`
initial plan priority based on wlm limits
`int`
`getPlanParallelism()`
the plan parallelism
`float`
`getPriorityAdjustFactor()`
priority adjustment factor
`int`
`getPriorityAdjustTime()`
priority adjustment time
`String`
`getReason()`
the reason
`ByteString`
`getReasonBytes()`
the reason
`long`
`getRowsReturned()`
the number of rows returned by the query
`long`
`getRuntime()`
the number of seconds take to complete the query
`String`
`getSql()`
the sql text
`ByteString`
`getSqlBytes()`
the sql text
`String`
`getState()`
the string representation of the SQL state
`ByteString`
`getStateBytes()`
the string representation of the SQL state
`long`
`getTempDiskSpaceConsumed()`
the total amount of temp disk space consumed in bytes
`String`
`getTimeComplete()`
the string representation of the time the query completed execution
`ByteString`
`getTimeCompleteBytes()`
the string representation of the time the query completed execution
`String`
`getTimeExecStart()`
the string representation of the time the query began execution
`ByteString`
`getTimeExecStartBytes()`
the string representation of the time the query began execution
`long`
`getTimestampComplete()`
ms since epoch representation of the time the query completed execution
`long`
`getTimestampExecStart()`
ms since epoch representation of the time the query began execution
`long`
`getTimestampStart()`
ms since epoch representation of the time the query was accepted by the sql node
`String`
`getTimeStart()`
the string representation of the time the query was accepted by the sql node
`ByteString`
`getTimeStartBytes()`
the string representation of the time the query was accepted by the sql node
`String`
`getUser()`
the string representation of the user's uuid
`ByteString`
`getUserBytes()`
the string representation of the user's uuid
`String`
`getUuid()`
the query plan uuid
`ByteString`
`getUuidBytes()`
the query plan uuid
`boolean`
`hasDatabaseId()`
the string representation of the database uuid the user was connected to
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ClientWireProtocol.CompletedQueriesRow.Builder`
`mergeDatabaseId(StringValue value)`
the string representation of the database uuid the user was connected to
`ClientWireProtocol.CompletedQueriesRow.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ClientWireProtocol.CompletedQueriesRow.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ClientWireProtocol.CompletedQueriesRow.Builder`
`mergeFrom(ClientWireProtocol.CompletedQueriesRow other)`
`final ClientWireProtocol.CompletedQueriesRow.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setBytesReturned(long value)`
the number of bytes returned by the query
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setClientIp(String value)`
the IP of the client
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setClientIpBytes(ByteString value)`
the IP of the client
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setClientVersion(String value)`
the version of the connector used to submit the query
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setClientVersionBytes(ByteString value)`
the version of the connector used to submit the query
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setCode(int value)`
the SQL state code
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setCostEstimate(double value)`
the plan cost estimate
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setDatabaseId(StringValue value)`
the string representation of the database uuid the user was connected to
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setDatabaseId(StringValue.Builder builderForValue)`
the string representation of the database uuid the user was connected to
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setFinalEffectivePriority(double value)`
the final effective dynamically adjusted priority
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setHeuristicCost(double value)`
the plan heuristic cost
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setInitialEffectivePriority(float value)`
initial effective priority adjusted for query cost and mem usage
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setInitialPriority(float value)`
initial plan priority based on wlm limits
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setPlanParallelism(int value)`
the plan parallelism
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setPriorityAdjustFactor(float value)`
priority adjustment factor
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setPriorityAdjustTime(int value)`
priority adjustment time
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setReason(String value)`
the reason
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setReasonBytes(ByteString value)`
the reason
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setRowsReturned(long value)`
the number of rows returned by the query
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setRuntime(long value)`
the number of seconds take to complete the query
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setSql(String value)`
the sql text
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setSqlBytes(ByteString value)`
the sql text
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setState(String value)`
the string representation of the SQL state
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setStateBytes(ByteString value)`
the string representation of the SQL state
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setTempDiskSpaceConsumed(long value)`
the total amount of temp disk space consumed in bytes
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setTimeComplete(String value)`
the string representation of the time the query completed execution
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setTimeCompleteBytes(ByteString value)`
the string representation of the time the query completed execution
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setTimeExecStart(String value)`
the string representation of the time the query began execution
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setTimeExecStartBytes(ByteString value)`
the string representation of the time the query began execution
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setTimestampComplete(long value)`
ms since epoch representation of the time the query completed execution
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setTimestampExecStart(long value)`
ms since epoch representation of the time the query began execution
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setTimestampStart(long value)`
ms since epoch representation of the time the query was accepted by the sql node
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setTimeStart(String value)`
the string representation of the time the query was accepted by the sql node
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setTimeStartBytes(ByteString value)`
the string representation of the time the query was accepted by the sql node
`final ClientWireProtocol.CompletedQueriesRow.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setUser(String value)`
the string representation of the user's uuid
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setUserBytes(ByteString value)`
the string representation of the user's uuid
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setUuid(String value)`
the query plan uuid
`ClientWireProtocol.CompletedQueriesRow.Builder`
`setUuidBytes(ByteString value)`
the query plan uuid

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### clear

public ClientWireProtocol.CompletedQueriesRow.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.CompletedQueriesRow getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ClientWireProtocol.CompletedQueriesRow build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ClientWireProtocol.CompletedQueriesRow buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.CompletedQueriesRow.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### mergeFrom

public ClientWireProtocol.CompletedQueriesRow.Builder mergeFrom(ClientWireProtocol.CompletedQueriesRow other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### mergeFrom

public ClientWireProtocol.CompletedQueriesRow.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getUser

public String getUser()

     the string representation of the user's uuid

`string user = 1;`

Specified by:
  `getUser` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The user.

### getUserBytes

public ByteString getUserBytes()

     the string representation of the user's uuid

`string user = 1;`

Specified by:
  `getUserBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for user.

### setUser

public ClientWireProtocol.CompletedQueriesRow.Builder setUser(String value)

     the string representation of the user's uuid

`string user = 1;`

Parameters:
  `value` - The user to set.
Returns:
  This builder for chaining.

### clearUser

public ClientWireProtocol.CompletedQueriesRow.Builder clearUser()

     the string representation of the user's uuid

`string user = 1;`

Returns:
  This builder for chaining.

### setUserBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setUserBytes(ByteString value)

     the string representation of the user's uuid

`string user = 1;`

Parameters:
  `value` - The bytes for user to set.
Returns:
  This builder for chaining.

### hasDatabaseId

public boolean hasDatabaseId()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

Specified by:
  `hasDatabaseId` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  Whether the databaseId field is set.

### getDatabaseId

public StringValue getDatabaseId()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

Specified by:
  `getDatabaseId` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The databaseId.

### setDatabaseId

public ClientWireProtocol.CompletedQueriesRow.Builder setDatabaseId(StringValue value)

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

### setDatabaseId

public ClientWireProtocol.CompletedQueriesRow.Builder setDatabaseId(StringValue.Builder builderForValue)

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

### mergeDatabaseId

public ClientWireProtocol.CompletedQueriesRow.Builder mergeDatabaseId(StringValue value)

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

### clearDatabaseId

public ClientWireProtocol.CompletedQueriesRow.Builder clearDatabaseId()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

### getDatabaseIdBuilder

public StringValue.Builder getDatabaseIdBuilder()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

### getDatabaseIdOrBuilder

public StringValueOrBuilder getDatabaseIdOrBuilder()

     the string representation of the database uuid the user was connected to

`.google.protobuf.StringValue database_id = 2;`

Specified by:
  `getDatabaseIdOrBuilder` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`

### getClientVersion

public String getClientVersion()

     the version of the connector used to submit the query

`string client_version = 3;`

Specified by:
  `getClientVersion` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The clientVersion.

### getClientVersionBytes

public ByteString getClientVersionBytes()

     the version of the connector used to submit the query

`string client_version = 3;`

Specified by:
  `getClientVersionBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for clientVersion.

### setClientVersion

public ClientWireProtocol.CompletedQueriesRow.Builder setClientVersion(String value)

     the version of the connector used to submit the query

`string client_version = 3;`

Parameters:
  `value` - The clientVersion to set.
Returns:
  This builder for chaining.

### clearClientVersion

public ClientWireProtocol.CompletedQueriesRow.Builder clearClientVersion()

     the version of the connector used to submit the query

`string client_version = 3;`

Returns:
  This builder for chaining.

### setClientVersionBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setClientVersionBytes(ByteString value)

     the version of the connector used to submit the query

`string client_version = 3;`

Parameters:
  `value` - The bytes for clientVersion to set.
Returns:
  This builder for chaining.

### getClientIp

public String getClientIp()

     the IP of the client

`string client_ip = 4;`

Specified by:
  `getClientIp` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The clientIp.

### getClientIpBytes

public ByteString getClientIpBytes()

     the IP of the client

`string client_ip = 4;`

Specified by:
  `getClientIpBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for clientIp.

### setClientIp

public ClientWireProtocol.CompletedQueriesRow.Builder setClientIp(String value)

     the IP of the client

`string client_ip = 4;`

Parameters:
  `value` - The clientIp to set.
Returns:
  This builder for chaining.

### clearClientIp

public ClientWireProtocol.CompletedQueriesRow.Builder clearClientIp()

     the IP of the client

`string client_ip = 4;`

Returns:
  This builder for chaining.

### setClientIpBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setClientIpBytes(ByteString value)

     the IP of the client

`string client_ip = 4;`

Parameters:
  `value` - The bytes for clientIp to set.
Returns:
  This builder for chaining.

### getSql

public String getSql()

     the sql text

`string sql = 5;`

Specified by:
  `getSql` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The sql.

### getSqlBytes

public ByteString getSqlBytes()

     the sql text

`string sql = 5;`

Specified by:
  `getSqlBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for sql.

### setSql

public ClientWireProtocol.CompletedQueriesRow.Builder setSql(String value)

     the sql text

`string sql = 5;`

Parameters:
  `value` - The sql to set.
Returns:
  This builder for chaining.

### clearSql

public ClientWireProtocol.CompletedQueriesRow.Builder clearSql()

     the sql text

`string sql = 5;`

Returns:
  This builder for chaining.

### setSqlBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setSqlBytes(ByteString value)

     the sql text

`string sql = 5;`

Parameters:
  `value` - The bytes for sql to set.
Returns:
  This builder for chaining.

### getTimestampStart

public long getTimestampStart()

     ms since epoch representation of the time the query was accepted by the sql node

`uint64 timestamp_start = 6;`

Specified by:
  `getTimestampStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timestampStart.

### setTimestampStart

public ClientWireProtocol.CompletedQueriesRow.Builder setTimestampStart(long value)

     ms since epoch representation of the time the query was accepted by the sql node

`uint64 timestamp_start = 6;`

Parameters:
  `value` - The timestampStart to set.
Returns:
  This builder for chaining.

### clearTimestampStart

public ClientWireProtocol.CompletedQueriesRow.Builder clearTimestampStart()

     ms since epoch representation of the time the query was accepted by the sql node

`uint64 timestamp_start = 6;`

Returns:
  This builder for chaining.

### getTimeStart

public String getTimeStart()

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Specified by:
  `getTimeStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timeStart.

### getTimeStartBytes

public ByteString getTimeStartBytes()

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Specified by:
  `getTimeStartBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for timeStart.

### setTimeStart

public ClientWireProtocol.CompletedQueriesRow.Builder setTimeStart(String value)

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Parameters:
  `value` - The timeStart to set.
Returns:
  This builder for chaining.

### clearTimeStart

public ClientWireProtocol.CompletedQueriesRow.Builder clearTimeStart()

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Returns:
  This builder for chaining.

### setTimeStartBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setTimeStartBytes(ByteString value)

     the string representation of the time the query was accepted by the sql node

`string time_start = 7;`

Parameters:
  `value` - The bytes for timeStart to set.
Returns:
  This builder for chaining.

### getTimestampComplete

public long getTimestampComplete()

     ms since epoch representation of the time the query completed execution

`uint64 timestamp_complete = 8;`

Specified by:
  `getTimestampComplete` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timestampComplete.

### setTimestampComplete

public ClientWireProtocol.CompletedQueriesRow.Builder setTimestampComplete(long value)

     ms since epoch representation of the time the query completed execution

`uint64 timestamp_complete = 8;`

Parameters:
  `value` - The timestampComplete to set.
Returns:
  This builder for chaining.

### clearTimestampComplete

public ClientWireProtocol.CompletedQueriesRow.Builder clearTimestampComplete()

     ms since epoch representation of the time the query completed execution

`uint64 timestamp_complete = 8;`

Returns:
  This builder for chaining.

### getTimeComplete

public String getTimeComplete()

     the string representation of the time the query completed execution

`string time_complete = 9;`

Specified by:
  `getTimeComplete` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timeComplete.

### getTimeCompleteBytes

public ByteString getTimeCompleteBytes()

     the string representation of the time the query completed execution

`string time_complete = 9;`

Specified by:
  `getTimeCompleteBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for timeComplete.

### setTimeComplete

public ClientWireProtocol.CompletedQueriesRow.Builder setTimeComplete(String value)

     the string representation of the time the query completed execution

`string time_complete = 9;`

Parameters:
  `value` - The timeComplete to set.
Returns:
  This builder for chaining.

### clearTimeComplete

public ClientWireProtocol.CompletedQueriesRow.Builder clearTimeComplete()

     the string representation of the time the query completed execution

`string time_complete = 9;`

Returns:
  This builder for chaining.

### setTimeCompleteBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setTimeCompleteBytes(ByteString value)

     the string representation of the time the query completed execution

`string time_complete = 9;`

Parameters:
  `value` - The bytes for timeComplete to set.
Returns:
  This builder for chaining.

### getCode

public int getCode()

     the SQL state code

`int32 code = 10;`

Specified by:
  `getCode` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The code.

### setCode

public ClientWireProtocol.CompletedQueriesRow.Builder setCode(int value)

     the SQL state code

`int32 code = 10;`

Parameters:
  `value` - The code to set.
Returns:
  This builder for chaining.

### clearCode

public ClientWireProtocol.CompletedQueriesRow.Builder clearCode()

     the SQL state code

`int32 code = 10;`

Returns:
  This builder for chaining.

### getState

public String getState()

     the string representation of the SQL state

`string state = 11;`

Specified by:
  `getState` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The state.

### getStateBytes

public ByteString getStateBytes()

     the string representation of the SQL state

`string state = 11;`

Specified by:
  `getStateBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for state.

### setState

public ClientWireProtocol.CompletedQueriesRow.Builder setState(String value)

     the string representation of the SQL state

`string state = 11;`

Parameters:
  `value` - The state to set.
Returns:
  This builder for chaining.

### clearState

public ClientWireProtocol.CompletedQueriesRow.Builder clearState()

     the string representation of the SQL state

`string state = 11;`

Returns:
  This builder for chaining.

### setStateBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setStateBytes(ByteString value)

     the string representation of the SQL state

`string state = 11;`

Parameters:
  `value` - The bytes for state to set.
Returns:
  This builder for chaining.

### getReason

public String getReason()

     the reason

`string reason = 12;`

Specified by:
  `getReason` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The reason.

### getReasonBytes

public ByteString getReasonBytes()

     the reason

`string reason = 12;`

Specified by:
  `getReasonBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for reason.

### setReason

public ClientWireProtocol.CompletedQueriesRow.Builder setReason(String value)

     the reason

`string reason = 12;`

Parameters:
  `value` - The reason to set.
Returns:
  This builder for chaining.

### clearReason

public ClientWireProtocol.CompletedQueriesRow.Builder clearReason()

     the reason

`string reason = 12;`

Returns:
  This builder for chaining.

### setReasonBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setReasonBytes(ByteString value)

     the reason

`string reason = 12;`

Parameters:
  `value` - The bytes for reason to set.
Returns:
  This builder for chaining.

### getTimestampExecStart

public long getTimestampExecStart()

     ms since epoch representation of the time the query began execution

`uint64 timestamp_exec_start = 13;`

Specified by:
  `getTimestampExecStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timestampExecStart.

### setTimestampExecStart

public ClientWireProtocol.CompletedQueriesRow.Builder setTimestampExecStart(long value)

     ms since epoch representation of the time the query began execution

`uint64 timestamp_exec_start = 13;`

Parameters:
  `value` - The timestampExecStart to set.
Returns:
  This builder for chaining.

### clearTimestampExecStart

public ClientWireProtocol.CompletedQueriesRow.Builder clearTimestampExecStart()

     ms since epoch representation of the time the query began execution

`uint64 timestamp_exec_start = 13;`

Returns:
  This builder for chaining.

### getTimeExecStart

public String getTimeExecStart()

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Specified by:
  `getTimeExecStart` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The timeExecStart.

### getTimeExecStartBytes

public ByteString getTimeExecStartBytes()

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Specified by:
  `getTimeExecStartBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for timeExecStart.

### setTimeExecStart

public ClientWireProtocol.CompletedQueriesRow.Builder setTimeExecStart(String value)

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Parameters:
  `value` - The timeExecStart to set.
Returns:
  This builder for chaining.

### clearTimeExecStart

public ClientWireProtocol.CompletedQueriesRow.Builder clearTimeExecStart()

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Returns:
  This builder for chaining.

### setTimeExecStartBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setTimeExecStartBytes(ByteString value)

     the string representation of the time the query began execution

`string time_exec_start = 14;`

Parameters:
  `value` - The bytes for timeExecStart to set.
Returns:
  This builder for chaining.

### getUuid

public String getUuid()

     the query plan uuid

`string uuid = 15;`

Specified by:
  `getUuid` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The uuid.

### getUuidBytes

public ByteString getUuidBytes()

     the query plan uuid

`string uuid = 15;`

Specified by:
  `getUuidBytes` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytes for uuid.

### setUuid

public ClientWireProtocol.CompletedQueriesRow.Builder setUuid(String value)

     the query plan uuid

`string uuid = 15;`

Parameters:
  `value` - The uuid to set.
Returns:
  This builder for chaining.

### clearUuid

public ClientWireProtocol.CompletedQueriesRow.Builder clearUuid()

     the query plan uuid

`string uuid = 15;`

Returns:
  This builder for chaining.

### setUuidBytes

public ClientWireProtocol.CompletedQueriesRow.Builder setUuidBytes(ByteString value)

     the query plan uuid

`string uuid = 15;`

Parameters:
  `value` - The bytes for uuid to set.
Returns:
  This builder for chaining.

### getFinalEffectivePriority

public double getFinalEffectivePriority()

     the final effective dynamically adjusted priority

`double final_effective_priority = 16;`

Specified by:
  `getFinalEffectivePriority` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The finalEffectivePriority.

### setFinalEffectivePriority

public ClientWireProtocol.CompletedQueriesRow.Builder setFinalEffectivePriority(double value)

     the final effective dynamically adjusted priority

`double final_effective_priority = 16;`

Parameters:
  `value` - The finalEffectivePriority to set.
Returns:
  This builder for chaining.

### clearFinalEffectivePriority

public ClientWireProtocol.CompletedQueriesRow.Builder clearFinalEffectivePriority()

     the final effective dynamically adjusted priority

`double final_effective_priority = 16;`

Returns:
  This builder for chaining.

### getCostEstimate

public double getCostEstimate()

     the plan cost estimate

`double cost_estimate = 17;`

Specified by:
  `getCostEstimate` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The costEstimate.

### setCostEstimate

public ClientWireProtocol.CompletedQueriesRow.Builder setCostEstimate(double value)

     the plan cost estimate

`double cost_estimate = 17;`

Parameters:
  `value` - The costEstimate to set.
Returns:
  This builder for chaining.

### clearCostEstimate

public ClientWireProtocol.CompletedQueriesRow.Builder clearCostEstimate()

     the plan cost estimate

`double cost_estimate = 17;`

Returns:
  This builder for chaining.

### getPlanParallelism

public int getPlanParallelism()

     the plan parallelism

`uint32 plan_parallelism = 18;`

Specified by:
  `getPlanParallelism` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The planParallelism.

### setPlanParallelism

public ClientWireProtocol.CompletedQueriesRow.Builder setPlanParallelism(int value)

     the plan parallelism

`uint32 plan_parallelism = 18;`

Parameters:
  `value` - The planParallelism to set.
Returns:
  This builder for chaining.

### clearPlanParallelism

public ClientWireProtocol.CompletedQueriesRow.Builder clearPlanParallelism()

     the plan parallelism

`uint32 plan_parallelism = 18;`

Returns:
  This builder for chaining.

### getHeuristicCost

public double getHeuristicCost()

     the plan heuristic cost

`double heuristic_cost = 19;`

Specified by:
  `getHeuristicCost` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The heuristicCost.

### setHeuristicCost

public ClientWireProtocol.CompletedQueriesRow.Builder setHeuristicCost(double value)

     the plan heuristic cost

`double heuristic_cost = 19;`

Parameters:
  `value` - The heuristicCost to set.
Returns:
  This builder for chaining.

### clearHeuristicCost

public ClientWireProtocol.CompletedQueriesRow.Builder clearHeuristicCost()

     the plan heuristic cost

`double heuristic_cost = 19;`

Returns:
  This builder for chaining.

### getRowsReturned

public long getRowsReturned()

     the number of rows returned by the query

`uint64 rows_returned = 21;`

Specified by:
  `getRowsReturned` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The rowsReturned.

### setRowsReturned

public ClientWireProtocol.CompletedQueriesRow.Builder setRowsReturned(long value)

     the number of rows returned by the query

`uint64 rows_returned = 21;`

Parameters:
  `value` - The rowsReturned to set.
Returns:
  This builder for chaining.

### clearRowsReturned

public ClientWireProtocol.CompletedQueriesRow.Builder clearRowsReturned()

     the number of rows returned by the query

`uint64 rows_returned = 21;`

Returns:
  This builder for chaining.

### getBytesReturned

public long getBytesReturned()

     the number of bytes returned by the query

`uint64 bytes_returned = 22;`

Specified by:
  `getBytesReturned` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The bytesReturned.

### setBytesReturned

public ClientWireProtocol.CompletedQueriesRow.Builder setBytesReturned(long value)

     the number of bytes returned by the query

`uint64 bytes_returned = 22;`

Parameters:
  `value` - The bytesReturned to set.
Returns:
  This builder for chaining.

### clearBytesReturned

public ClientWireProtocol.CompletedQueriesRow.Builder clearBytesReturned()

     the number of bytes returned by the query

`uint64 bytes_returned = 22;`

Returns:
  This builder for chaining.

### getRuntime

public long getRuntime()

     the number of seconds take to complete the query

`uint64 runtime = 23;`

Specified by:
  `getRuntime` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The runtime.

### setRuntime

public ClientWireProtocol.CompletedQueriesRow.Builder setRuntime(long value)

     the number of seconds take to complete the query

`uint64 runtime = 23;`

Parameters:
  `value` - The runtime to set.
Returns:
  This builder for chaining.

### clearRuntime

public ClientWireProtocol.CompletedQueriesRow.Builder clearRuntime()

     the number of seconds take to complete the query

`uint64 runtime = 23;`

Returns:
  This builder for chaining.

### getTempDiskSpaceConsumed

public long getTempDiskSpaceConsumed()

     the total amount of temp disk space consumed in bytes

`uint64 temp_disk_space_consumed = 24;`

Specified by:
  `getTempDiskSpaceConsumed` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The tempDiskSpaceConsumed.

### setTempDiskSpaceConsumed

public ClientWireProtocol.CompletedQueriesRow.Builder setTempDiskSpaceConsumed(long value)

     the total amount of temp disk space consumed in bytes

`uint64 temp_disk_space_consumed = 24;`

Parameters:
  `value` - The tempDiskSpaceConsumed to set.
Returns:
  This builder for chaining.

### clearTempDiskSpaceConsumed

public ClientWireProtocol.CompletedQueriesRow.Builder clearTempDiskSpaceConsumed()

     the total amount of temp disk space consumed in bytes

`uint64 temp_disk_space_consumed = 24;`

Returns:
  This builder for chaining.

### getPriorityAdjustFactor

public float getPriorityAdjustFactor()

     priority adjustment factor

`float priority_adjust_factor = 25;`

Specified by:
  `getPriorityAdjustFactor` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The priorityAdjustFactor.

### setPriorityAdjustFactor

public ClientWireProtocol.CompletedQueriesRow.Builder setPriorityAdjustFactor(float value)

     priority adjustment factor

`float priority_adjust_factor = 25;`

Parameters:
  `value` - The priorityAdjustFactor to set.
Returns:
  This builder for chaining.

### clearPriorityAdjustFactor

public ClientWireProtocol.CompletedQueriesRow.Builder clearPriorityAdjustFactor()

     priority adjustment factor

`float priority_adjust_factor = 25;`

Returns:
  This builder for chaining.

### getPriorityAdjustTime

public int getPriorityAdjustTime()

     priority adjustment time

`uint32 priority_adjust_time = 26;`

Specified by:
  `getPriorityAdjustTime` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The priorityAdjustTime.

### setPriorityAdjustTime

public ClientWireProtocol.CompletedQueriesRow.Builder setPriorityAdjustTime(int value)

     priority adjustment time

`uint32 priority_adjust_time = 26;`

Parameters:
  `value` - The priorityAdjustTime to set.
Returns:
  This builder for chaining.

### clearPriorityAdjustTime

public ClientWireProtocol.CompletedQueriesRow.Builder clearPriorityAdjustTime()

     priority adjustment time

`uint32 priority_adjust_time = 26;`

Returns:
  This builder for chaining.

### getInitialPriority

public float getInitialPriority()

     initial plan priority based on wlm limits

`float initial_priority = 27;`

Specified by:
  `getInitialPriority` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The initialPriority.

### setInitialPriority

public ClientWireProtocol.CompletedQueriesRow.Builder setInitialPriority(float value)

     initial plan priority based on wlm limits

`float initial_priority = 27;`

Parameters:
  `value` - The initialPriority to set.
Returns:
  This builder for chaining.

### clearInitialPriority

public ClientWireProtocol.CompletedQueriesRow.Builder clearInitialPriority()

     initial plan priority based on wlm limits

`float initial_priority = 27;`

Returns:
  This builder for chaining.

### getInitialEffectivePriority

public float getInitialEffectivePriority()

     initial effective priority adjusted for query cost and mem usage

`float initial_effective_priority = 28;`

Specified by:
  `getInitialEffectivePriority` in interface `ClientWireProtocol.CompletedQueriesRowOrBuilder`
Returns:
  The initialEffectivePriority.

### setInitialEffectivePriority

public ClientWireProtocol.CompletedQueriesRow.Builder setInitialEffectivePriority(float value)

     initial effective priority adjusted for query cost and mem usage

`float initial_effective_priority = 28;`

Parameters:
  `value` - The initialEffectivePriority to set.
Returns:
  This builder for chaining.

### clearInitialEffectivePriority

public ClientWireProtocol.CompletedQueriesRow.Builder clearInitialEffectivePriority()

     initial effective priority adjusted for query cost and mem usage

`float initial_effective_priority = 28;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.CompletedQueriesRow.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.CompletedQueriesRow.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.CompletedQueriesRow.Builder>`